public class Person
{

  // Anfang Attribute
  private String name;
  private String geschlecht;
  private double gewicht;
  private int alter;
  private double koerperlaenge;
  // Ende Attribute
  
  // Konstruktor
  public Person()
  {}
  
  // Anfang Methoden
  public String getName() 
  {
    return name;
  }
  
  public void setName(String pName) 
  {
    name = pName;
  }
  
  public String getGeschlecht()
  {
    return geschlecht;
  }
  
  public void setGeschlecht(String pGeschlecht)
  {
    geschlecht = pGeschlecht;
  }
  
  public double getGewicht()
  {
    return gewicht;
  }
  
  public void setGewicht(double pGewicht) 
  {
    gewicht = pGewicht;
  }
  
  public int getAlter() 
  {
    return alter;
  }
  
  public void setAlter(int pAlter) 
  {
    alter = pAlter;
  }
  
  public double getKoerperlaenge() 
  {
    return koerperlaenge;
  }
  
  public void setKoerperlaenge(double pKoerperlaenge) 
  {
    koerperlaenge = pKoerperlaenge;
  }
  
  //Selbst erstellte Methode zur Berechnung des BMI
  public double berechneBMI()
  {
    double bmi;
    bmi = gewicht / (koerperlaenge * koerperlaenge);
    return bmi;
  }
  
  // Ende Methoden
}
